{{/* Value created in baseof.html */}}
{{- if ($.Scratch.Get "isMenuMain") -}}
{{ $ctx := . }}
<aside id="sidebar" class="sidebar h-full print:hidden" :class="{ 'hidden' : !isOpen, 'isOpen' : isOpen }">
	<div id="nav-wrapper" class="nav-wrapper" tabindex="-1">
		<nav id="sidebar-nav" class="sidebar-nav" role="navigation">
			<ul role="list">
			{{- $currentPage := . -}}
      {{- $menu        := cond (eq ($.Scratch.Get "isMenuMain") true) false true -}}
      {{- if ($.Scratch.Get "isMenuMain") -}}
          {{- if $menu -}}
            {{- range ($.Scratch.Get "isMenuMain") -}}
              <li>
                <div class="flex items-center {{ if eq $currentPage . }}active rounded bg-gray-200{{ end }}">
                  <a href="{{ with $.Site.GetPage (printf "%s%s" "/pages" .target) }}{{ .Permalink }}{{ end }}">
                    <span class="tracking-wide uppercase text-bold">{{ .title }}</span>
                  </a>
                </div>
                {{- partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" $currentPage "ctxglobal" $ctx) -}}
              </li>
            {{- end }}
          {{- else -}}
          {{- range $.Site.Pages.ByWeight -}}
            {{- if and (.Params.menu.main) (not (isset .Params.menu.main "parent")) }}
              <li>
                <div class="flex items-center {{ if eq $currentPage . }}active rounded bg-gray-200{{ end }}">
                  <a href="{{ .Permalink }}">
                    <span class="tracking-wide uppercase text-bold">{{ .Title }}</span>
                  </a>
                </div>
                {{- partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" $currentPage) -}}
              </li>
            {{- end }}
          {{- end -}}
        {{- end -}}
      {{- end -}}
			</ul>
		</nav>
	</div>
</aside>
{{- end -}}
